
-- return the window size
function getWindowSize()
	return 828, 490
end

-- return the main font
-- the return is a list of font filename and size options
-- the first one found will be used
function getFont()
	if isMac then
		return { { name="GillSans.ttc", size=14 }, { name="GillSans.dfont", size=14 }, { name="Monaco.dfont", size=12 } }
	else
		return { { name="tahoma.ttf", size=14 }, { name="arial.ttf", size=12 } }
	end
end
-- return the label font
function getLabelFont()
	if isMac then
		return { { name="GillSans.ttc", size=11 }, { name="GillSans.dfont", size=11 }, { name="Monaco.dfont", size=9 } }
	else
		return { { name="tahoma.ttf", size=11 }, { name="arial.ttf", size=9 } }
	end
end
-- return the text field font
function getTextFieldFont()
	if isMac then
		return { { name="GillSans.ttc", size=12 }, { name="GillSans.dfont", size=12 }, { name="Monaco.dfont", size=10 } }
	else
		return { { name="tahoma.ttf", size=12 }, { name="arial.ttf", size=10 } }
	end
end

-- create and lay out all the controls
function createUI()
	
	-- set location of the banner
	setBannerPosition( 460.0 )
	
	-- set outline colours for groups
	setGroupActiveColour( 1.0, 0.6, 0.3, 0.6 )
	setGroupInactiveColour( 0.5, 0.5, 0.5, 0.5 )
	
	-- set the background colour
	setBackgroundColour( 0.2, 0.2, 0.2 )

end		-- of createUI()
